/*
 * laser3d - 3D visualization of laser data acquired by robot; enables walk through
 *
 * Filename    : data.h
 * Author      : Michael Kaess
 * Initial     : 02/15/2001
 * Last Change : 12/27/2001
 *
 */


#ifndef _LASER3D_DATA_INC
#define _LASER3D_DATA_INC

#include <sys/time.h>


void datFree(void);
void datSet360Mode(void);
void datSetPgmMode(int mode);
void datSetResolution(int res);
void datGetRaw3dData(char *fname, int *s, int *e);
void datRawTo3d(int start, int end);
int  datReadRawPgmFile(char *fname, int *s);
void datWriteRawPgmFile(char *fname, int start, int end);
void datWriteCleanedFile(char *fname, int start, int end);
void datInterpolateData(int start, int end);


#endif
